Bug 11588 - RH6.2 krb5 errata breaks credential forwarding over rsh
Summary: RH6.2 krb5 errata breaks credential forwarding over rsh
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: krb5   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
: 17404 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-22 21:39 UTC by Stephen Tweedie
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-11 18:28:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:025 normal SHIPPED_LIVE : Updated Kerberos 5 and pam_krb5 packages available 2001-03-08 05:00:00 UTC

Description Stephen Tweedie 2000-05-22 21:39:56 UTC
The krb5-1.1.1-16 errata upgrade breaks "rsh -f"'s credential
forwarding.  The fault is on the server side: an upgraded client
(also running the upgraded KDC) can still correctly connect to
an unupgraded host via rsh -f, with ticket forwarding working OK.

Forwarding in general still works: telnet -f succeeds.  Only
the kerberised rsh (with or without "-x" session encryption)
fails.

This is rather high priority, as single-signon is the whole
point of kerberos, and that functionality breaks over more than
one hop in the upgraded packages.

Comment 1 Nalin Dahyabhai 2000-06-10 21:27:35 UTC
Fixed in rsh, still hunting for it in rlogin.

Comment 2 Nalin Dahyabhai 2000-09-11 18:28:55 UTC
*** Bug 17404 has been marked as a duplicate of this bug. ***

Comment 3 Nalin Dahyabhai 2000-09-12 18:29:38 UTC
This should be fixed in krb5-1.1.1-25 and krb5-1.2.1-9 and later.  Until Raw
Hide gets refreshed, new packages can be grabbed from
http://people.redhat.com/nalin/krb5/.


Note You need to log in before you can comment on or make changes to this bug.